using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1.takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            string[] s2 = Console.ReadLine().Split();
            int x1 = Convert.ToInt32(s1[0]);
            int y1 = Convert.ToInt32(s1[1]);
            int x2 = Convert.ToInt32(s2[0]);
            int y2 = Convert.ToInt32(s2[1]);          
            if (x1 == x2 || y1 == y2) Console.Write(2);
            else if (Math.Abs(x1 - x2) == Math.Abs(y1 - y2)) Console.Write(1);
            else Console.Write(0);        
            Console.ReadKey();
        }
    }
}